The source is repacked because upstream ships a minified js without
the corresponding source code.
Since because of bug 622147 doxygen doesn't need to include an jquery file
when both GENERATE_TREEVIEW and SEARCHENGINE are set to false, and since
this project don't use (yet) them, we simply strip it from the source tree.
If GENERATE_TREEVIEW or SEARCHENGINE will one day in a future release enabled
we will simply get the lintian warning about embedded jquery in the doc package
and leave it to avoid broken documentation.

References:
https://lists.debian.org/debian-devel/2014/10/msg00774.html
https://lists.debian.org/debian-mentors/2012/11/msg00310.html
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=736360
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=751727
/usr/share/doc/doxygen/REAMDE.jquery
"
It is not considered a problem for Doxygen or packages using Doxygen to embed
jquery. In fact replacing the `jquery.js` file created by Doxygen likely
results in broken documentation. Packages doing that are buggy. Lintian will
have to learn that a `jquery.js` embedded by Doxygen is a normal thing.
"
